regina::NBlockedSFSTriple Class Reference
Standard Triangulations and Subcomplexes

Represents a blocked sequence of three Seifert fibred spaces joined along connecting tori. More...

`#include <subcomplex/nblockedsfstriple.h>`

Inheritance diagram for regina::NBlockedSFSTriple:

## Public Member Functions

| ~NBlockedSFSTriple ()
| Destroys this structure and its constituent components. More...
const NSatRegion & | end (int which) const
| Returns details of the requested end region, as described in the class notes above. More...
const NSatRegion & | centre () const
| Returns details of the central saturated region, as described in the class notes above. More...
const NMatrix2 & | matchingReln (int which) const
| Returns the matrix describing how the given end region is joined to the central region. More...
NManifold * | getManifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
Public Member Functions inherited from regina::NStandardTriangulation
virtual | ~NStandardTriangulation ()
| A destructor that does nothing. More...
std::string | getName () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | getTeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual NAbelianGroup * | getHomologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Static Public Member Functions

static NBlockedSFSTriple * | isBlockedSFSTriple (NTriangulation *tri)
| Determines if the given triangulation is a blocked sequence of three Seifert fibred spaces, as described in the class notes above. More...
Static Public Member Functions inherited from regina::NStandardTriangulation
static NStandardTriangulation * | isStandardTriangulation (NComponent *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static NStandardTriangulation * | isStandardTriangulation (NTriangulation *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Additional Inherited Members

Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...

## Detailed Description

Represents a blocked sequence of three Seifert fibred spaces joined along connecting tori.

This is a particular type of triangulation of a graph manifold, formed from three saturated regions whose various torus boundaries are identified as described below. Optional layerings may be placed between torus boundaries to allow for more interesting relationships between the respective boundary curves of each region. For more detail on saturated regions and their constituent saturated blocks, see the NSatRegion class; for more detail on layerings, see the NLayering class.

The three saturated regions must be joined together as illustrated below. Each large box represents a saturated region, and the small tunnels show where the region boundaries are joined (possibly via layerings).

        /----------------\   /------------------\   /----------------\
        |                |   |                  |   |                |
        |  End region 0   ---   Central region   ---   End region 1  |
        |                 ---                    ---                 |
        |                |   |                  |   |                |
        \----------------/   \------------------/   \----------------/

Each of the end regions must have precisely one boundary component formed from just one saturated annulus. The central region may have two boundary components formed from one saturated annulus each. Alternatively, it may have one boundary formed from two saturated annuli, where this boundary is pinched together so that each annulus becomes a two-sided torus joined to one of the end regions. None of the boundary components (or the two-sided tori discussed above) may be twisted (i.e., they must be tori, not Klein bottles).

The ways in which the various region boundaries are identified are specified by 2-by-2 matrices, which express curves representing the fibres and base orbifold of each end region in terms of the central region (see the page on Notation for Seifert fibred spaces for terminology).

Specifically, consider the matrix M that describes the joining of the central region and the first end region (marked in the diagram above as end region 0). Suppose that f and o are directed curves on the central region boundary and f0 and o0 are directed curves on the first end region boundary, where f and f0 represent the fibres of each region and o and o0 represent the base orbifolds. Then the boundaries are joined according to the following relation:

        [f0]       [f ]
        [  ] = M * [  ]
        [o0]       [o ]

Likewise, let M' be the matrix describing how the central region and the second end region (marked in the diagram as end region 1) are joined. Let f' and o' be directed curves on the other central region boundary and f1 and o1 be directed curves on the second end region boundary, where f' and f1 represent fibres and o and o1 represent the base orbifolds. Then the boundaries are joined according to the relation:

        [f1]        [f']
        [  ] = M' * [  ]
        [o1]        [o']

If a layering is present between two regions, then the corresponding boundary curves are not identified directly. In this case, the relevant matrix M or M' shows how the layering relates the curves on each region boundary.

Note that the routines writeName() and writeTeXName() do not offer enough information to uniquely identify the triangulation, since this essentially requires 2-dimensional assemblings of saturated blocks. For full details, writeTextLong() may be used instead.

The optional NStandardTriangulation routine getManifold() is implemented for this class, but getHomologyH1() is not.

Test:
  Included in the test suite.

## Constructor & Destructor Documentation

regina::NBlockedSFSTriple::~NBlockedSFSTriple | ( |  | ) |

Destroys this structure and its constituent components.

## Member Function Documentation

const NSatRegion & regina::NBlockedSFSTriple::centre | ( |  | ) | const

inline

Returns details of the central saturated region, as described in the class notes above.

This is the saturated region with two boundary annuli, each of which is joined to one of the end regions.

Returns
  details of the central region.

const NSatRegion & regina::NBlockedSFSTriple::end | ( | int | which | ) | const

inline

Returns details of the requested end region, as described in the class notes above.

The end regions are the two saturated regions with one boundary annulus each, which are both joined to the central region.

Parameters

  which | 0 if the first end region should be returned (marked as end region 0 in the class notes), or 1 if the second end region should be returned (marked as end region 1 in the class notes).

Returns
  details of the requested end region.

NManifold* regina::NBlockedSFSTriple::getManifold | ( |  | ) | const

virtual

Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented.

If the 3-manifold cannot be recognised then this routine will return 0.

The details of which standard triangulations have 3-manifold recognition routines can be found in the notes for the corresponding subclasses of NStandardTriangulation. The default implementation of this routine returns 0.

It is expected that the number of triangulations whose underlying 3-manifolds can be recognised will grow between releases.

The 3-manifold will be newly allocated and must be destroyed by the caller of this routine.

Returns
  the underlying 3-manifold.

Reimplemented from regina::NStandardTriangulation.

static NBlockedSFSTriple* regina::NBlockedSFSTriple::isBlockedSFSTriple | ( | NTriangulation * | tri | ) |

static

Determines if the given triangulation is a blocked sequence of three Seifert fibred spaces, as described in the class notes above.

Parameters

  tri | the triangulation to examine.

Returns
  a newly created structure containing details of the blocked triple, or `null` if the given triangulation is not of this form.

const NMatrix2 & regina::NBlockedSFSTriple::matchingReln | ( | int | which | ) | const

inline

Returns the matrix describing how the given end region is joined to the central region.

Note that if a layering is placed between the two respective region boundaries, then any changes to the boundary relationships caused by the layering are included in this matrix.

See the class notes above for precise information on how each matrix is presented.

Parameters

  which | 0 if the matrix returned should describe how the central region is joined to the first end region (marked end region 0 in the class notes), or 1 if the matrix returned should describe how the central region is joined to the second end region (marked end region 1 in the class notes).

Returns
  the matrix describing how the requested region boundaries are joined.

std::ostream& regina::NBlockedSFSTriple::writeName | ( | std::ostream & | out | ) | const

virtual

Writes the name of this triangulation as a human-readable string to the given output stream.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NStandardTriangulation.

std::ostream& regina::NBlockedSFSTriple::writeTeXName | ( | std::ostream & | out | ) | const

virtual

Writes the name of this triangulation in TeX format to the given output stream.

No leading or trailing dollar signs will be included.

Warning
  The behaviour of this routine has changed as of Regina 4.3; in earlier versions, leading and trailing dollar signs were provided.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NStandardTriangulation.

void regina::NBlockedSFSTriple::writeTextLong | ( | std::ostream & | out | ) | const

virtual

Writes this object in long text format to the given output stream.

The output should provide the user with all the information they could want. The output should be human-readable, should not contain extremely long lines (so users can read the output in a terminal), and should end with a final newline.

The default implementation of this routine merely calls writeTextShort() and adds a newline.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Reimplemented from regina::ShareableObject.

The documentation for this class was generated from the following file:

- subcomplex/nblockedsfstriple.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).